package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.Level;

@Mapper
public interface LevelMapper extends BaseMapper<Level> {

    Level queryLevel(Level level);

    List<Level> queryLevelList(Level level);

    void saveLevel(Level level);

    void updateLevel(Level level);

    void deleteLevel(Level level);

    List<Level> queryLevelPage(Map map);

    Integer queryLevelPageCount(Map map);

    void saveLevelBatch(List<Level> levelList);
}

